/* Layout------------ */
* { margin:0; padding:0; }

html { font-size:100%; }

body { width:100%; min-width:1240px; font:13px "Times New Roman", Helvetica,Arial, Verdana, sans-serif; letter-spacing:1px; color:#222; margin:0; padding:0; background:#fff; }

img { border:none; }

.gen { margin:1px 1px; font-size:16px; }

.genmed { margin:1px 1px; font-size:16px; }

.gensmall { margin:1px 1px; font-size:1em; }

.titles { font:bold 21px "Microsoft JhengHei", "Lucida Grande", Helvetica, Arial, sans-serif; text-decoration:none; }

.online { color:green; }

.offline, .error, table td .error, .inactive { color:#DC1005; font-size:16px; font-weight:bold; line-height:180%; letter-spacing:1px; }

.spacer { color:#fff; background:#ffad5b; border:solid 1px #ffad5b; padding:1px; }

.current { background-color:lightblue; }

hr  { height:0px; border:solid #CAD1D8 0px; border-top-width:1px;}

.pagination { padding:4px; font-size:1em; font-weight:bold; }


.rtl a { direction:rtl; unicode-bidi:embed; }

a.forumlink { font-weight:bold; font-family:"Lucida Grande", Helvetica, Arial, sans-serif; font-size:16px; }

a.topictitle { margin:1px 0px; font-size:17px; font-family:"Microsoft JhengHei"; }

a.topictitle:link, a.topictitle:visited, a.topictitle:active, .postbody a, .postbody a:visited { font-weight:bold; text-decoration:none; }

a.topictitle:visited:hover, .postbody a:visited:hover, a.topictitle:hover, .postbody a:hover { font-weight:bold; }

#logo-registered { float:right; padding:15px 10px 5px; color:#666; font-size:13px; text-align:right; }

#logo-login { float:right; padding:15px 10px 5px; color:#666; font-size:13px; text-align:right; }
#logo-login input.post { margin-bottom:3px; }

#logo-clear { clear:both; }

* html #logo-login, * html #logo-registered { }

* html #logo-clear { font-size:1px; line-height:1px; height:0; overflow:hidden; position:relative; }

.pm-notify-new, .pm-notify-unread { border-left:solid 1px #9EABB9; border-right:solid 1px #909FAF; border-top:solid 1px #9EABB9; border-bottom:solid 1px #909FAF; background:#d9f0cd url(images/cell.gif) top left repeat-x; margin:10px 0; padding:10px; text-align:center; font-size:13px; font-weight:bold; }
.pm-notify-new a, .pm-notify-new a:visited, .pm-notify-unread a, .pm-notify-unread a:visited { text-decoration:underline; }
.pm-notify-header { margin-bottom:10px; color:#F45E00; }
.pm-notify-new { padding:30px; }


.navrow { background:#CAE7F4; height:32px; overflow:hidden; color:#333; text-align:center; font-size:16px; padding-top:10px; border-radius:5px; }

.navrow b, .navrow strong { font-weight:normal; }
.navrow a, .navrow a:link, .navrow a:visited { color:#006; text-decoration:none; padding-left:5px; padding-right:5px; }
.navrow a:hover { color:#222; text-decoration:none; }

a.link-new, a.link-new:visited { color:#F45E00; }
a.link-new:hover, a.link-new:visited:hover { color:#F45E00; }


#content {  }
#maintable { margin:0 auto; }
#contentrow { padding:10px; }

.tablebg { padding:1px; border:solid 1px #ffad5b; background:#fff; border-collapse:collapse; }
.tablebg-1 { border:solid 1px #ffad5b; border-collapse:collapse; }

.block-start .tablebg { border-top-width:0; border-bottom-width:0; border-color:#C3CBD3; padding-bottom:1px }

.row1, .row2, .row3, .legend, .forumrules, tr.row1 .row, tr.row2 .row, tr.row3 .row, .postbottom { padding:8px; border:solid 1px #ffad5b;
background:-webkit-linear-gradient(#fff1e6, #fffbf7);
background:-o-linear-gradient     (#fff1e6, #fffbf7);
background:-moz-linear-gradient   (#fff1e6, #fffbf7);
background:linear-gradient        (#fff1e6, #fffbf7);
}

.tablebg-1 .row1, .tablebg-1 .row2, .tablebg-1 .row3 { padding:5px; border:solid 1px #ffad5b; border-bottom:0; }

tr.row1 .row_left, tr.row2 .row_left, tr.row3 .row_left { border:solid 1px #ffad5b; border-bottom:0; padding-left:10px; line-height:180%;
background:-webkit-linear-gradient(#ffecd9, #fffcf9);
background:-o-linear-gradient     (#ffecd9, #fffcf9);
background:-moz-linear-gradient   (#ffecd9, #fffcf9);
background:linear-gradient        (#ffecd9, #fffcf9);
 }

tr.row1 .row_right, tr.row2 .row_right, tr.row3 .row_right { background:#fff; border:solid 1px #ffad5b; border-bottom:0; padding:15px; }

th { color:#222; font-size:16px; white-space:nowrap; padding:0 5px; text-align:center; height:32px; border:solid 1px #ffad5b; border-bottom:0;
background:-webkit-linear-gradient(#ffd3a8, #ffddbb);
background:-o-linear-gradient     (#ffd3a8, #ffddbb);
background:-moz-linear-gradient   (#ffd3a8, #ffddbb);
background:linear-gradient        (#ffd3a8, #ffddbb);
 }
th a, th a:visited { color:#222 !important; text-decoration:underline; }
th a:hover { color:#f5f5f5; text-decoration:underline; }

td { padding:2px; }
td.profile { padding:4px; }

.catdiv, .cat, .cathead { height:35px; padding:0 3px; border:solid 1px #ffad5b; background:#ffd3a8; }

.cat, .cathead { text-indent:4px; }

caption, .cap-div { margin:0; padding:0; border:solid 1px #ffad5b; border-bottom:0; border-radius:5px 5px 0 0; white-space:nowrap; height:35px; text-align:left;
background:-webkit-linear-gradient(#ffd3a8, #ffddbb);
background:-o-linear-gradient     (#ffd3a8, #ffddbb);
background:-moz-linear-gradient   (#ffd3a8, #ffddbb);
background:linear-gradient        (#ffd3a8, #ffddbb);
}
.cap-left {  }
.cap-right { line-height:35px; text-indent:10px; }
caption, caption h1, caption h2, caption h3, caption h4, caption span,
.cap-div, .cap-div h1, .cap-div h2, .cap-div h3, .cap-div h4, .cap-div span {  font:bold 18px 'Microsoft JhengHei'; color:#222; }
caption h1, caption h2, caption h3, caption h4, caption span,
.cap-div h1, .cap-div h2, .cap-div h3, .cap-div h4, .cap-div span { display:inline; }
caption a, caption a:visited, .cap-div a, .cap-div a:visited { color:#586E85; text-decoration:underline; }
caption a:hover, .cap-div a:hover { color:#F45E00; text-decoration:underline; }

.block-start {  }
.block-end-left {  }
.block-end-right {  }
.block-end-left, .block-end-right { height:4px; overflow:hidden; padding:0; }

/* Footer */
#wrapfooter { text-align:center; color:#A0ACB9; padding-top:10px; }


/* Breadcrumbs */
.breadcrumb .row1 { border-width:0px; background:#fff; }
p.breadcrumbs { margin:0; padding:0; float:left; color:#A3ADB7; font-weight:bold; white-space:normal; font-size:16px; }
.rtl p.breadcrumbs { float:right; }

p.datetime { margin:0; padding:0; float:right; white-space:nowrap; font-size:1em; }

.rtl p.datetime { float:left; }

/* Index/viewforum */
.subforum.read   { background:url(images/sub_old.gif) top left no-repeat; padding-left:12px; }
.subforum.unread { background:url(images/sub_new.gif) top left no-repeat; padding-left:12px; }
.legend { text-align:center; margin:0 auto; padding:2px; border-color:#C3CBD3; }
.legend-viewforum { margin:0; text-align:left; border-top-color:#C3CBD3; border-left-color:#C3CBD3; }

.forumrules { padding:4px; font-weight:normal; font-size:13px; border-left:solid 1px #CFD5DB; border-right:solid 1px #CAD1D8; border-top:solid 1px #CFD5DB; border-bottom:solid 1px #CAD1D8; background:#F7F8F9; font-family:"Lucida Grande", Verdana, Arial, Helvetica, sans-serif; }
.forumrules h3 { color:#F45E00; }

/* Post */
.postsubject { font-size:16px; font-weight:bold; color:#586E85; }
td.postbottom { background:#F2F4F5 url(images/profile.gif) top left repeat-x; font-size:13px; color:#96989B; white-space:nowrap; padding:2px 4px; vertical-align:middle; border-left:solid 1px #F6F8F9; border-right:solid 1px #CAD1D8; border-top:solid 1px #F6F8F9; border-bottom:solid 1px #CAD1D8; }
td.postbuttons { padding-top:3px; }
.postdetails { color:#444; font-size:13px; text-align:left; }
.postdetails b { color:#444; }
.posterrank     { font-size:13px; color:#444; }
.posterprofile  { font-size:13px; color:#586E85; }

.postauthor { color:#586E85; font-size:13px; margin-bottom:3px; font-weight:bold; }
.postonline { margin-bottom:2px; }

.postreported, .postreported a:link, .postreported a:visited, .postreported a:hover, .postreported a:active { margin:1px 0px; color:#F45E00; font-weight:bold; }

.postapprove, .postapprove a:link, .postapprove a:visited, .postapprove a:hover, .postapprove a:active { color:#F45E00; font-weight:bold; }

.postapprove img, .postreported img { vertical-align:bottom; padding-top:5px; }

.postbody { font-family:"Microsoft Yahei"; font-size:16px; color:#222; line-height:1.8em; letter-spacing:1px; word-wrap:break-word; word-break:break-all; }
.signature { font-size:13px; color:#666; margin-top:5px; }
.signature .line { display:block; padding-bottom:10px; border-top:dashed 1px #ddd; }

.postbody li, ol, ul { margin:0 0 0 1.5em; }

.rtl .postbody li, .rtl ol, .rtl ul { margin:0 1.5em 0 0; }

.posthilit { background:#F2C882; color:#000; }

.postbody a { text-decoration:underline; }

/* UCP */
.folder-current a, .folder-current a:visited { color:#F45E00; font-weight:bold; }
.folder-current a:hover { color:#F45E00; }

td.pm_marked_colour       { background:#F45E00; }
td.pm_marked_colour_left  { border-left:solid 3px #F45E00; padding-left:2px; }
td.pm_marked_colour_right { border-right:solid 3px #F45E00; padding-right:2px; }

td.pm_replied_colour       { background:#586E85; }
td.pm_replied_colour_left  { border-left:solid 3px #586E85; padding-left:2px; }
td.pm_replied_colour_right { border-right:solid 3px #586E85; padding-right:2px; }

td.pm_friend_colour       { background:#070; }
td.pm_friend_colour_left  { border-left:solid 3px #070; padding-left:2px; }
td.pm_friend_colour_right { border-right:solid 3px #070; padding-right:2px; }

td.pm_foe_colour       { background:#DD3B00; }
td.pm_foe_colour_left  { border-left:solid 3px #DD3B00; padding-left:2px; }
td.pm_foe_colour_right { border-right:solid 3px #DD3B00; padding-right:2px; }


/* Form Elements------------ */
form { margin:0px; padding:0px; border:0px; }

textarea, select, .post, .btnbbcode, .btnmain, .btnlite, .btnfile, .helpline { font-size:16px; font-weight:normal; font-family:"Lucida Grande", Verdana, Helvetica, sans-serif; color:#222; border:1px solid #5C6D7E; background:#f9fdff; }
.cat .btnmain, .cat .btnlite, .cat select { color:#444; background:#F7F8F9; border-color:#B6C0CA; }

input { font-size:13px; padding:1px; }
textarea { font-size:16px; line-height:1.4em; padding:2px; }
select { font-size:13px; padding:1px; }

option { padding:0 1em 0 0; }

.rtl option { padding:0 0 0 1em; }

.post { border-style:solid; border-width:1px; }

.btnbbcode       { font-size:13px; color:#586E85; border:1px solid #B6C0CA; background:#F7F8F9; }
.btnbbcode:hover { border-color:#98A6B3; color:#000; }

.btnmain { font-weight:bold; cursor:pointer; padding:2px 5px; font-size:16px; }

.btnlite { font-weight:normal; cursor:pointer; padding:2px 5px; font-size:16px; }

.btnfile { font-weight:normal; padding:2px 5px; font-size:16px; }

.helpline { background-color:transparent; color:#8B9BAC; border-style:none; }
#helpline { color:#8B9BAC; }

input:focus, select:focus, textarea:focus { outline-style:none; }

* html textarea, * html select, * html .post, * html .btnmain, * html .btnlite, * html .btnfile { }
* html .cat .btnmain, * html .cat .btnlite { }
textarea:hover, select:hover, .post:hover, .btnmain:hover, .btnlite:hover, .btnfile:hover { border-color:#F45E00; }
textarea:focus, select:focus, .post:focus, .btnmain:focus, .btnlite:focus, .btnfile:focus { border-color:#F45E00; color:#000; background:#F7F8F9; }
.cat .btnmain:hover, .cat .btnlite:hover, .cat select:hover { border-color:#F45E00; }
.cat .btnmain:focus, .cat .btnlite:focus, .cat select:focus { border-color:#798C9E; color:#000; }

label:hover { color:#F45E00; }

textarea.posting-textarea, #ie8#fix { width:700px; height:270px; min-width:98%; max-width:98%; }

/* BBCode------------ */
.bb-wrapper { clear:both; margin:10px 20px; }
.bb-wrapper .bb-wrapper { margin:5px 10px; }
.bb-left-top, .bb-right-top, .bb-left-bot, .bb-right-bot { width:4px; height:4px; overflow:hidden; padding:0; }
.bb-left-top { background:url(images/bb_left_top.gif) top left no-repeat; }
.bb-right-top { background:url(images/bb_right_top.gif) top right no-repeat; }
.bb-left-bot { background:url(images/bb_left_bot.gif) bottom left no-repeat; }
.bb-right-bot { background:url(images/bb_right_bot.gif) bottom right no-repeat; }
.bb-top, .bb-bot { height:4px; overflow:hidden; padding:0; }
.bb-top { background:#F7F8F9 url(images/bb_top.gif) top left repeat-x; }
.bb-bot { background:#F7F8F9 url(images/bb_bot.gif) bottom left repeat-x; }
.bb-left, .bb-right { width:4px; overflow:hidden; background:#F7F8F9; padding:0; }
.bb-left { border-left:solid 1px #D5D9DE; }
.bb-right { border-right:solid 1px #D5D9DE; }
.bb-content { background-color:#F7F8F9; padding:0 2px; }
.bb-quote { background-image:url(images/bg_quote.gif); background-repeat:no-repeat; background-position:top right; }
.bb-code { background-image:url(images/bg_code.gif); background-repeat:no-repeat; background-position:top right; }
.bb-attach { background-image:url(images/bg_attach.gif); background-repeat:no-repeat; background-position:top right; }


.quotetitle, .attachtitle, .codetitle { color:#586E85; font-size:13px; font-weight:bold; padding-bottom:3px; }
.quotetitle .quotetitle { font-size:1em; }

.quotecontent, .attachcontent { font-weight:normal; font-size:1em; line-height:1.4em; color:#444; }
.attachcontent { font-size:1em; }

.attachcontent img { border:solid 1px #aaa; padding:5px; border-radius:3px; }

.codecontent { direction:ltr; font-weight:normal; font-size:13px; font-family:Monaco, 'Courier New', monospace; color:#444; }

.attachcontent, .codecontent { overflow:auto; overflow-x:auto; }

.syntaxbg      { color:#F2F2F3; }

.syntaxcomment { color:#586E85; }

.syntaxdefault { color:#444; }

.syntaxhtml    { color:#6D7073; }

.syntaxkeyword { color:#555D65; }

.syntaxstring  { color:#6A6D71; }


/* More misc stuff */
h1 { font-family:"Lucida Grande", "Trebuchet MS", Verdana, sans-serif; font-weight:bold; font-size:1.8em; text-decoration:none; }

h2 { font-family:Arial, Helvetica, sans-serif; font-weight:bold; font-size:1.5em; text-decoration:none; line-height:120%; }

h3 { font-size:16px; font-weight:bold; font-family:Arial, Helvetica, sans-serif; line-height:120%; }

h4 { margin:0px; font-size:13px; font-weight:bold; }

p { font-size:13px; }

p.moderators { margin:0px; float:left; color:#586E85; font-weight:bold; }

.rtl p.moderators { float:right; }

p.linkmcp { margin:0px; float:right; white-space:nowrap; }

.rtl p.linkmcp { float:left; }

p.searchbar { padding:2px 0; white-space:nowrap; }

p.searchbarreg { margin:0px; float:right; white-space:nowrap; }

.rtl p.searchbarreg { float:left; }

p.forumdesc { padding-bottom:4px; }

p.topicauthor { margin:1px 0px; }

p.topicdetails { margin:1px 0px; }
td.history-current, tr.row1 td.history-current, tr.row2 td.history-current { background:#F7F8F9; }

table.colortable td { padding:0; }

pre { font-size:13px; font-family:Monaco, 'Courier New', monospace; }

.nowrap { white-space:nowrap; }

.username-coloured { font-weight:bold; }

.sep { color:#586E85; }


/* reset style for file input */
.btnfile, .btnfile:hover, .btnfile:focus { border:none; background:#fff; color:#000; }

.p16 { font-size:16px; letter-spacing:1px; line-height:120% }
.p15 { font-size:15px; letter-spacing:1px; line-height:120% }
.p14 { font-size:14px; letter-spacing:1px; line-height:120% }
.p13 { font-size:13px; letter-spacing:1px; line-height:120% }

.ellipsis { overflow:hidden; white-space: nowrap; text-overflow: ellipsis; }

.postrankimg { padding-bottom:10px; }